[project]
name = "code-rag"
version = "0.1.0"
description = "Simple RAG implementation"
authors = [
    { name = "Alex Selimov", email = "alex@alexselimov.com" }
]
readme = "README.md"
requires-python = "^3.11"

[tool.poetry]
packages = [{ include = "code_rag", from = "src" }]

[tool.poetry.dependencies]
python = "^3.11"
langchain = "*"
langchain-community = "*"
langchain-core = "*"
langchain-chroma = "*"
langchain-ollama = "*"
chromadb = "*"
ollama = "*"

[tool.poetry.group.dev.dependencies]
pytest = "^8.3.5"

[tool.poetry.scripts]
code-rag = "code_rag.cli:main"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
